DeepFellow DOCS

List all toolboxes

Retrieve a list of toolboxes.

Needs admin bearer token in authorization header.

GET
/toolboxes
AuthorizationBearer <token>

In: header

Query Parameters

limit?Limit
Default100
Range1 <= value <= 200
after?After
before?Before

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://loading/toolboxes?limit=100&after=5eb7cf5a86d9755df3a6c593&before=5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "object": "list",
  "first_id": "5eb7cf5a86d9755df3a6c593",
  "last_id": "5eb7cf5a86d9755df3a6c593",
  "has_more": true,
  "data": [
    {
      "id": "5eb7cf5a86d9755df3a6c593",
      "name": "string",
      "project_id": "5eb7cf5a86d9755df3a6c593",
      "created_at": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.